%define doctarget %{_defaultdocdir}/%{name}-%{version}

Name:           kyotocabinet
Version:        1.2.31
Release:        3%{?dist}
Summary:        A lightweight database library

Group:          System Environment/Libraries
License:        GPLv3
URL:            http://fallabs.com/kyotocabinet/
Source0:        http://fallabs.com/%{name}/pkg/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: zlib-devel

%description
Kyoto Cabinet is a library of routines for managing a database. The database is
a simple data file containing records, and each record is a pair of a key and a
value.  Every key and value is an array of bytes with variable length. Both
binary data and character strings can be used as a key or a value. There is
neither a concept of tables nor of data types.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        api-doc
Summary:        Development documentation for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    api-doc
The %{name}-api-doc package contains API documentation for developing
applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-rpath --docdir=%{doctarget}
make LDENV= %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_libdir}/libkyotocabinet.a
cp README $RPM_BUILD_ROOT%{doctarget}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/kccachetest
%{_bindir}/kcdirmgr
%{_bindir}/kcdirtest
%{_bindir}/kcforestmgr
%{_bindir}/kcforesttest
%{_bindir}/kcgrasstest
%{_bindir}/kchashmgr
%{_bindir}/kchashtest
%{_bindir}/kclangctest
%{_bindir}/kcpolymgr
%{_bindir}/kcpolytest
%{_bindir}/kcprototest
%{_bindir}/kcstashtest
%{_bindir}/kctreemgr
%{_bindir}/kctreetest
%{_bindir}/kcutilmgr
%{_bindir}/kcutiltest
%{_mandir}/man1/kccachetest.1.gz
%{_mandir}/man1/kcdirmgr.1.gz
%{_mandir}/man1/kcdirtest.1.gz
%{_mandir}/man1/kcforestmgr.1.gz
%{_mandir}/man1/kcforesttest.1.gz
%{_mandir}/man1/kcgrasstest.1.gz
%{_mandir}/man1/kchashmgr.1.gz
%{_mandir}/man1/kchashtest.1.gz
%{_mandir}/man1/kclangctest.1.gz
%{_mandir}/man1/kcpolymgr.1.gz
%{_mandir}/man1/kcpolytest.1.gz
%{_mandir}/man1/kcprototest.1.gz
%{_mandir}/man1/kcstashtest.1.gz
%{_mandir}/man1/kctreemgr.1.gz
%{_mandir}/man1/kctreetest.1.gz
%{_mandir}/man1/kcutilmgr.1.gz
%{_mandir}/man1/kcutiltest.1.gz
%{_libdir}/libkyotocabinet.so.8
%{_libdir}/libkyotocabinet.so.8.1.0
%{doctarget}/
%{doctarget}/doc/command.html
%{doctarget}/doc/common.css
%{doctarget}/doc/icon16.png
%{doctarget}/doc/index.html
%{doctarget}/doc/logo.png
%{doctarget}/doc/spex.html
%{doctarget}/COPYING
%{doctarget}/README
%{doctarget}/ChangeLog

%files devel
%defattr(-,root,root,-)
%{_includedir}/kccachedb.h
%{_includedir}/kccommon.h
%{_includedir}/kccompare.h
%{_includedir}/kccompress.h
%{_includedir}/kcdb.h
%{_includedir}/kcdbext.h
%{_includedir}/kcdirdb.h
%{_includedir}/kcfile.h
%{_includedir}/kchashdb.h
%{_includedir}/kclangc.h
%{_includedir}/kcmap.h
%{_includedir}/kcplantdb.h
%{_includedir}/kcpolydb.h
%{_includedir}/kcprotodb.h
%{_includedir}/kcregex.h
%{_includedir}/kcstashdb.h
%{_includedir}/kcthread.h
%{_includedir}/kcutil.h
%{_libdir}/libkyotocabinet.so
%{_libdir}/pkgconfig/kyotocabinet.pc
%{doctarget}/kyotocabinet.idl

%files api-doc
%defattr(-,root,root,-)
%{doctarget}/doc/api/annotated.html
%{doctarget}/doc/api/classes.html
%{doctarget}/doc/api/classkyotocabinet_1_1ArcfourCompressor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ArcfourCompressor.html
%{doctarget}/doc/api/classkyotocabinet_1_1AtomicInt64-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1AtomicInt64.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1Error-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1Error.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1FileProcessor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1FileProcessor.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1Logger-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1Logger.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1MetaTrigger-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1MetaTrigger.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1ProgressChecker-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1BasicDB_1_1ProgressChecker.html
%{doctarget}/doc/api/classkyotocabinet_1_1CacheDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1CacheDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1CacheDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1CacheDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1Comparator-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1Comparator.html
%{doctarget}/doc/api/classkyotocabinet_1_1Compressor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1Compressor.html
%{doctarget}/doc/api/classkyotocabinet_1_1CondVar-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1CondVar.html
%{doctarget}/doc/api/classkyotocabinet_1_1DB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DB.html
%{doctarget}/doc/api/classkyotocabinet_1_1DB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1DB_1_1Visitor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DB_1_1Visitor.html
%{doctarget}/doc/api/classkyotocabinet_1_1DecimalComparator-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DecimalComparator.html
%{doctarget}/doc/api/classkyotocabinet_1_1DirDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DirDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1DirDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DirDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1DirStream-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1DirStream.html
%{doctarget}/doc/api/classkyotocabinet_1_1File-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1File.html
%{doctarget}/doc/api/classkyotocabinet_1_1HashDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1HashDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1HashDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1HashDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZMA-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZMA.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZMACompressor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZMACompressor.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZO-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZO.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZOCompressor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LZOCompressor.html
%{doctarget}/doc/api/classkyotocabinet_1_1LexicalComparator-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LexicalComparator.html
%{doctarget}/doc/api/classkyotocabinet_1_1LinkedHashMap-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LinkedHashMap.html
%{doctarget}/doc/api/classkyotocabinet_1_1LinkedHashMap_1_1Iterator-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1LinkedHashMap_1_1Iterator.html
%{doctarget}/doc/api/classkyotocabinet_1_1MapReduce-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1MapReduce.html
%{doctarget}/doc/api/classkyotocabinet_1_1MapReduce_1_1MapEmitter-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1MapReduce_1_1MapEmitter.html
%{doctarget}/doc/api/classkyotocabinet_1_1MapReduce_1_1ValueIterator-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1MapReduce_1_1ValueIterator.html
%{doctarget}/doc/api/classkyotocabinet_1_1Mutex-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1Mutex.html
%{doctarget}/doc/api/classkyotocabinet_1_1PlantDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1PlantDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1PlantDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1PlantDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1PolyDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1PolyDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1PolyDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1PolyDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1ProtoDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ProtoDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1ProtoDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ProtoDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1RWLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1RWLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1Regex-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1Regex.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedMutex-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedMutex.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedRWLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedRWLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedSpinLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedSpinLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedSpinRWLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ScopedSpinRWLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedMutex-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedMutex.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedRWLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedRWLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedSpinLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedSpinLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedSpinRWLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1SlottedSpinRWLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1SpinLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1SpinLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1SpinRWLock-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1SpinRWLock.html
%{doctarget}/doc/api/classkyotocabinet_1_1StashDB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1StashDB.html
%{doctarget}/doc/api/classkyotocabinet_1_1StashDB_1_1Cursor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1StashDB_1_1Cursor.html
%{doctarget}/doc/api/classkyotocabinet_1_1TSD-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TSD.html
%{doctarget}/doc/api/classkyotocabinet_1_1TSDKey-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TSDKey.html
%{doctarget}/doc/api/classkyotocabinet_1_1TaskQueue-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TaskQueue.html
%{doctarget}/doc/api/classkyotocabinet_1_1TaskQueue_1_1Task-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TaskQueue_1_1Task.html
%{doctarget}/doc/api/classkyotocabinet_1_1Thread-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1Thread.html
%{doctarget}/doc/api/classkyotocabinet_1_1TinyHashMap-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TinyHashMap.html
%{doctarget}/doc/api/classkyotocabinet_1_1TinyHashMap_1_1Iterator-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TinyHashMap_1_1Iterator.html
%{doctarget}/doc/api/classkyotocabinet_1_1TinyHashMap_1_1Sorter-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1TinyHashMap_1_1Sorter.html
%{doctarget}/doc/api/classkyotocabinet_1_1ZLIB-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ZLIB.html
%{doctarget}/doc/api/classkyotocabinet_1_1ZLIBCompressor-members.html
%{doctarget}/doc/api/classkyotocabinet_1_1ZLIBCompressor.html
%{doctarget}/doc/api/doxygen.css
%{doctarget}/doc/api/doxygen.png
%{doctarget}/doc/api/files.html
%{doctarget}/doc/api/functions.html
%{doctarget}/doc/api/functions_0x62.html
%{doctarget}/doc/api/functions_0x63.html
%{doctarget}/doc/api/functions_0x64.html
%{doctarget}/doc/api/functions_0x65.html
%{doctarget}/doc/api/functions_0x66.html
%{doctarget}/doc/api/functions_0x67.html
%{doctarget}/doc/api/functions_0x68.html
%{doctarget}/doc/api/functions_0x69.html
%{doctarget}/doc/api/functions_0x6a.html
%{doctarget}/doc/api/functions_0x6b.html
%{doctarget}/doc/api/functions_0x6c.html
%{doctarget}/doc/api/functions_0x6d.html
%{doctarget}/doc/api/functions_0x6e.html
%{doctarget}/doc/api/functions_0x6f.html
%{doctarget}/doc/api/functions_0x70.html
%{doctarget}/doc/api/functions_0x72.html
%{doctarget}/doc/api/functions_0x73.html
%{doctarget}/doc/api/functions_0x74.html
%{doctarget}/doc/api/functions_0x75.html
%{doctarget}/doc/api/functions_0x76.html
%{doctarget}/doc/api/functions_0x77.html
%{doctarget}/doc/api/functions_0x78.html
%{doctarget}/doc/api/functions_0x79.html
%{doctarget}/doc/api/functions_0x7e.html
%{doctarget}/doc/api/functions_enum.html
%{doctarget}/doc/api/functions_eval.html
%{doctarget}/doc/api/functions_func.html
%{doctarget}/doc/api/functions_func_0x62.html
%{doctarget}/doc/api/functions_func_0x63.html
%{doctarget}/doc/api/functions_func_0x64.html
%{doctarget}/doc/api/functions_func_0x65.html
%{doctarget}/doc/api/functions_func_0x66.html
%{doctarget}/doc/api/functions_func_0x67.html
%{doctarget}/doc/api/functions_func_0x68.html
%{doctarget}/doc/api/functions_func_0x69.html
%{doctarget}/doc/api/functions_func_0x6a.html
%{doctarget}/doc/api/functions_func_0x6b.html
%{doctarget}/doc/api/functions_func_0x6c.html
%{doctarget}/doc/api/functions_func_0x6d.html
%{doctarget}/doc/api/functions_func_0x6e.html
%{doctarget}/doc/api/functions_func_0x6f.html
%{doctarget}/doc/api/functions_func_0x70.html
%{doctarget}/doc/api/functions_func_0x72.html
%{doctarget}/doc/api/functions_func_0x73.html
%{doctarget}/doc/api/functions_func_0x74.html
%{doctarget}/doc/api/functions_func_0x75.html
%{doctarget}/doc/api/functions_func_0x76.html
%{doctarget}/doc/api/functions_func_0x77.html
%{doctarget}/doc/api/functions_func_0x79.html
%{doctarget}/doc/api/functions_func_0x7e.html
%{doctarget}/doc/api/functions_vars.html
%{doctarget}/doc/api/globals.html
%{doctarget}/doc/api/globals_defs.html
%{doctarget}/doc/api/globals_eval.html
%{doctarget}/doc/api/globals_func.html
%{doctarget}/doc/api/globals_type.html
%{doctarget}/doc/api/globals_vars.html
%{doctarget}/doc/api/hierarchy.html
%{doctarget}/doc/api/index.html
%{doctarget}/doc/api/kccachedb_8h.html
%{doctarget}/doc/api/kccommon_8h.html
%{doctarget}/doc/api/kccompare_8h.html
%{doctarget}/doc/api/kccompress_8h.html
%{doctarget}/doc/api/kcdb_8h.html
%{doctarget}/doc/api/kcdbext_8h.html
%{doctarget}/doc/api/kcdirdb_8h.html
%{doctarget}/doc/api/kcfile_8h.html
%{doctarget}/doc/api/kchashdb_8h.html
%{doctarget}/doc/api/kclangc_8h.html
%{doctarget}/doc/api/kcmap_8h.html
%{doctarget}/doc/api/kcplantdb_8h.html
%{doctarget}/doc/api/kcpolydb_8h.html
%{doctarget}/doc/api/kcprotodb_8h.html
%{doctarget}/doc/api/kcregex_8h.html
%{doctarget}/doc/api/kcthread_8h.html
%{doctarget}/doc/api/kcutil_8h.html
%{doctarget}/doc/api/namespacekyotocabinet.html
%{doctarget}/doc/api/namespacemembers.html
%{doctarget}/doc/api/namespacemembers_func.html
%{doctarget}/doc/api/namespacemembers_type.html
%{doctarget}/doc/api/namespacemembers_vars.html
%{doctarget}/doc/api/namespaces.html
%{doctarget}/doc/api/structkyotocabinet_1_1File_1_1Status-members.html
%{doctarget}/doc/api/structkyotocabinet_1_1File_1_1Status.html
%{doctarget}/doc/api/tab_b.gif
%{doctarget}/doc/api/tab_l.gif
%{doctarget}/doc/api/tab_r.gif
%{doctarget}/doc/api/tabs.css
%{doctarget}/doc/api/unionKCCUR-members.html
%{doctarget}/doc/api/unionKCCUR.html
%{doctarget}/doc/api/unionKCDB-members.html
%{doctarget}/doc/api/unionKCDB.html

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.31-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Casey Dahlin <cjdahlin@ncsu.edu> - 1.2.31-2
- Correct files list for soname bump

* Mon Jan 3 2011 Casey Dahlin <cjdahlin@ncsu.edu> - 1.2.31-1
- Update to latest upstream

* Mon Dec 13 2010 Casey Dahlin <cjdahlin@ncsu.edu> - 1.2.29-1
- Update to latest upstream

* Fri Dec 10 2010 Casey Dahlin <cjdahlin@ncsu.edu> - 1.2.27-2
- Separate out devel-doc package
- Make sure we own our documentation folder
- Kill rpath

* Wed Dec 8 2010 Casey Dahlin <cjdahlin@ncsu.edu> - 1.2.27-1
- Initial packaging
